summaryrefslogtreecommitdiffstats
path: root/games/jg-nestopia
diff options
context:
space:
mode:
author B. Watson2023-01-22 11:46:52 +0100
committer Willy Sudiarto Raharjo2023-01-28 02:22:59 +0100
commit5ffe84f756f736f27e9f790e2104760edefd6ff4 (patch)
tree5217332f5b9c55bfe759d4e06a8073c5658a8852 /games/jg-nestopia
parent9b4c7b4f7e6cfcf6d09a7697e0bc7bbd1f635912 (diff)
downloadslackbuilds-5ffe84f756f736f27e9f790e2104760edefd6ff4.tar.gz
games/jg-nestopia: Added (NES emu core for Jolly Good Emu)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/jg-nestopia')
-rw-r--r--games/jg-nestopia/README12
-rw-r--r--games/jg-nestopia/jg-nestopia.SlackBuild80
-rw-r--r--games/jg-nestopia/jg-nestopia.info10
-rw-r--r--games/jg-nestopia/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/games/jg-nestopia/README b/games/jg-nestopia/README
new file mode 100644
index 0000000000..d041691d52
--- /dev/null
+++ b/games/jg-nestopia/README
@@ -0,0 +1,12 @@
+jg-nestopia (NES emulation core for Jolly Good Emulation)
+
+Nestopia JG is an emulator for the Nintendo Entertainment
+System/Famicom, including support for the Famicom Disk System. Though
+originally a fork, Nestopia JG is now the de facto upstream branch of
+the Nestopia emulator.
+
+Filenames supported: .nes .fds
+To run files with other extensions: jollygood -c nestopia <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
diff --git a/games/jg-nestopia/jg-nestopia.SlackBuild b/games/jg-nestopia/jg-nestopia.SlackBuild
new file mode 100644
index 0000000000..739f09aa95
--- /dev/null
+++ b/games/jg-nestopia/jg-nestopia.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for jollycv
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-nestopia
+SRCNAM=nestopia
+VERSION=${VERSION:-1.52.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-nestopia/jg-nestopia.info b/games/jg-nestopia/jg-nestopia.info
new file mode 100644
index 0000000000..86b51d360b
--- /dev/null
+++ b/games/jg-nestopia/jg-nestopia.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-nestopia"
+VERSION="1.52.0"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/nestopia/-/archive/1.52.0/nestopia-1.52.0.tar.gz"
+MD5SUM="33efb4e139b5f0ffd37d1a824fbbbeae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-nestopia/slack-desc b/games/jg-nestopia/slack-desc
new file mode 100644
index 0000000000..79e01b9690
--- /dev/null
+++ b/games/jg-nestopia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-nestopia: jg-nestopia (NES emulation core for Jolly Good Emulation)
+jg-nestopia:
+jg-nestopia: Nestopia JG is an emulator for the Nintendo Entertainment
+jg-nestopia: System/Famicom, including support for the Famicom Disk System. Though
+jg-nestopia: originally a fork, Nestopia JG is now the de facto upstream branch of
+jg-nestopia: the Nestopia emulator.
+jg-nestopia:
+jg-nestopia:
+jg-nestopia:
+jg-nestopia:
+jg-nestopia: